> For the complete documentation index, see [llms.txt](https://fixt.gitbook.io/apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://fixt.gitbook.io/apis/reference/spot/assets.md).

# Assets

## Assets

<mark style="color:green;">`GET`</mark> <https://sapi.fixt.io/api/v0/assets>

#### Response Body

| Name                                                                                                             | Type    | Description                                                                                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                                                                                                             | string  | Full name of cryptocurrency.                                                                                                                                                                |
| [unified\_cryptoasset\_id](https://docs.google.com/document/d/1a5JfNE8aXusvfZBnEokwzp1-vGNJ_SPo-jIXhfnnEYE/edit) | integer | Unique ID of cryptocurrency assigned by[ Unified Cryptoasset ID](https://pro-api.coinmarketcap.com/v1/cryptocurrency/map?CMC_PRO_API_KEY=UNIFIED-CRYPTOASSET-INDEX\&listing_status=active). |
| can\_withdraw                                                                                                    | boolean | Identifies whether withdrawals are enabled or disabled.                                                                                                                                     |
| can\_deposit                                                                                                     | boolean | Identifies whether deposits are enabled or disabled.                                                                                                                                        |
| min\_withdraw                                                                                                    | decimal | Identifies the single minimum withdrawal amount of a cryptocurrency.                                                                                                                        |
| max\_withdraw                                                                                                    | decimal | Identifies the single maximum withdrawal amount of a cryptocurrency.                                                                                                                        |
| maker\_fee                                                                                                       | decimal | Fees applied when liquidity is added to the order book.                                                                                                                                     |
| taker\_fee                                                                                                       | decimal | Fees applied when liquidity is removed from the order book.                                                                                                                                 |
| contract\_address\_url                                                                                           | string  |                                                                                                                                                                                             |
| contract\_address                                                                                                | string  |                                                                                                                                                                                             |

{% tabs %}
{% tab title="200" %}

```javascript
{
    "status":"true",
    "msg":"success",
    "result": {
        "BTC" : {
            "name": "bitcoin",
            "unified_cryptoasset_id": 1,
            "can_withdraw": true,
            "can_deposit": true,
            "min_withdraw": 0,
            "max_withdraw": 0,
            "maker_fee": 0.01,
            "taker_fee": 0.01,
            "contract_address_url": "",
            "contract_address": "",
        }, ...
    {
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://fixt.gitbook.io/apis/reference/spot/assets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
